Skip to content

Client Insight ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getRealTimeClientCardsPOSTGet real-time client cards.
getMostActiveClientsGETGet most active client.
getApDensityGETGet ap density.
getClientActivityGETGet client activity
getClientsAssociationActivitiesGETGet clients association activities.
getClientsAssociationTimeDistributionGETGet clients association time distribution.
getClientsDistributionGETGet client distribution.
getClientsFreqDistributionGETGet clients freq distribution.
getClientsRssiDistributionGETGet clients rssi distribution.
getClientsBandDistributionGETGet clients signal distribution.
getClientsSsidDistributionGETGet clients ssid distribution.
getClientsBubbleGETGet clients bubble.
getCurrentClientNumGETGet current client number.
getLongestClientUptimeGETGet longest client uptime.
getPastClientNumGETGet past client number.
getGridKnownClientsGETGet known clients list
getGridPastConnectionsGETGet client past connection list
getDeviceClient5MinStatPOSTGet device client 5 min stat.
getStackClientStatPOSTGet stack client stat.
getClientNumberForCustomerListPOSTGet the Msp customers' client count.
getMspDashboardOverallGETGet the msp overview diagram of client.

getRealTimeClientCards ​

POST /openapi/v1/{omadacId}/sites/{siteId}/client/realtime/cards

Get real-time client cards.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientCardsQueryOpenApiVO

FieldTypeRequiredDescription
cardsarray<ClientCardsParamOpenApiVO>noclient cards to query
json
// omada_call_operation
{
  "operationId": "getRealTimeClientCards",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get real-time client distribution cards (e.g. by RSSI, SNR) with customizable buckets.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getMostActiveClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/active-clients

Get most active client.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMostActiveClients",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get most active clients with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getApDensity ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/ap-density

Get ap density.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getApDensity",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get ap density with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientActivity ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-activity

Get client activity

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegernoStart timestamp, in seconds, such as 1682000000
endqueryintegernoEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getClientActivity",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get client activity with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsAssociationActivities ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-association-activities

Get clients association activities.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getClientsAssociationActivities",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get clients association activities with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsAssociationTimeDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-association-time-distribution

Get clients association time distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getClientsAssociationTimeDistribution",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get clients association time distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-distribution

Get client distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsDistribution",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get client distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsFreqDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-freq-distribution

Get clients freq distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsFreqDistribution",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get clients freq distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsRssiDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-rssi-distribution

Get clients rssi distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsRssiDistribution",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get clients rssi distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsBandDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-signal-distribution

Get clients signal distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsBandDistribution",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get clients signal distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsSsidDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/client-ssid-distribution

Get clients ssid distribution.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsSsidDistribution",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get clients ssid distribution with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientsBubble ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clients-bubble

Get clients bubble.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientsBubble",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get clients bubble with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getCurrentClientNum ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/current-client-num

Get current client number.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getCurrentClientNum",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get current client number with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getLongestClientUptime ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/longest-uptime

Get longest client uptime.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLongestClientUptime",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get longest client uptime with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getPastClientNum ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/past-client-num

Get past client number.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getPastClientNum",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get past client number with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridKnownClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/clients

Get known clients list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.lastSeenquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.timeStartquerystringnoFilter query parameters, support field time range: start timestamp (ms).
filters.timeEndquerystringnoFilter query parameters, support field time range: end timestamp (ms).
filters.guestquerystringnoFilter query parameters, support field guest: true/false.
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ssid.
json
// omada_call_operation
{
  "operationId": "getGridKnownClients",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get known clients list.
The interface requires one of the permissions:
Site Insight Manager View Only
Site Clients Manager View Only

getGridPastConnections ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/past-connection

Get client past connection list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.lastSeenquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.timeStartquerystringnoFilter query parameters, support field time range: start timestamp (ms).
filters.timeEndquerystringnoFilter query parameters, support field time range: end timestamp (ms).
filters.guestquerystringnoFilter query parameters, support field guest: true/false.
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ssid.
json
// omada_call_operation
{
  "operationId": "getGridPastConnections",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get client past connection list.
The interface requires one of the permissions:
Site Insight Manager View Only
Site Clients Manager View Only

getDeviceClient5MinStat ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stat/{deviceMac}/client-stat-5min

Get device client 5 min stat.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
deviceTypequerystringyesDevice type.

Request body — application/json (required) — schema DeviceClientStatQueryOpenApiVO

FieldTypeRequiredDescription
startintegeryesStart timestamp, in seconds, such as 1682000000
endintegeryesEnd timestamp, in seconds, such as 1682000000
attrsarray<string>yesAttribute list to get.
json
// omada_call_operation
{
  "operationId": "getDeviceClient5MinStat",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "deviceType": "<deviceType>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Obtain the 5-minute sampling statistics of the clients.
The interface requires one of the permissions:
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getStackClientStat ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stat/stacks/{stackId}/client-stat

Get stack client stat.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema DeviceClientStatQueryOpenApiVO

FieldTypeRequiredDescription
startintegeryesStart timestamp, in seconds, such as 1682000000
endintegeryesEnd timestamp, in seconds, such as 1682000000
attrsarray<string>yesAttribute list to get.
json
// omada_call_operation
{
  "operationId": "getStackClientStat",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Obtain the sampling statistics of the clients.
The interface requires one of the permissions:
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getClientNumberForCustomerList ​

POST /openapi/v1/msp/{mspId}/customers/client-count

Get the Msp customers' client count.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema CustomerQueryOpenApiVO

FieldTypeRequiredDescription
customerIdsarray<string>yesCustomer Ids to get client number.
json
// omada_call_operation
{
  "operationId": "getClientNumberForCustomerList",
  "body": "{...}"
}
Details, permissions and error codes

Get the Msp customers' client count.
The interface requires one of the permissions:
MSP Dashboard View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getMspDashboardOverall ​

GET /openapi/v1/msp/{mspId}/dashboard/client/overview-diagram

Get the msp overview diagram of client.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspDashboardOverall"
}
Details, permissions and error codes

Get the msp overview diagram of client
The interface requires one of the permissions:
MSP Dashboard View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.